Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1058682

Summary: [abrt] nautilus: compare_by_display_name(): nautilus killed by SIGSEGV
Product: [Fedora] Fedora Reporter: Sergio <sergio.torassa>
Component: nautilusAssignee: Matthias Clasen <mclasen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: ccecchi, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/1e528afef92f638d85b7bd2499ed0f32682c9c67
Whiteboard: abrt_hash:de16361bd70cca64fed59cd86fe2f18318c463ca
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 14:49:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Sergio 2014-01-28 11:00:56 UTC
Description of problem:
The steps I followed are:

- connected my Android device (Samsung SII) to USB port
- deleted some directories from Courses main directory
- added a new directory to Courses main directory
- tried to rename it (Nautilus did not show the modification)
- added some files ( ~150MB total) to the Courses main directory
- nautilus crashes

The issue can be now reproduced simply browsing to the Courses directory

Version-Release number of selected component:
nautilus-3.10.1-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        nautilus --new-window
crash_function: compare_by_display_name
executable:     /usr/bin/nautilus
kernel:         3.12.8-300.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 compare_by_display_name at nautilus-file.c:2872
 #1 nautilus_file_compare_for_sort at nautilus-file.c:3149
 #2 nautilus_canvas_view_compare_files at nautilus-canvas-view.c:1452
 #3 g_list_sort_merge at glist.c:1066
 #4 g_list_sort_real at glist.c:1112
 #6 g_list_sort_with_data at glist.c:1183
 #7 sort_files at nautilus-view.c:3402
 #8 process_new_files at nautilus-view.c:3480
 #9 done_loading_callback at nautilus-view.c:3875
 #10 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115

Comment 1 Sergio 2014-01-28 11:01:03 UTC
Created attachment 856480 [details]
File: backtrace

Comment 2 Sergio 2014-01-28 11:01:05 UTC
Created attachment 856481 [details]
File: cgroup

Comment 3 Sergio 2014-01-28 11:01:48 UTC
Created attachment 856482 [details]
File: core_backtrace

Comment 4 Sergio 2014-01-28 11:01:52 UTC
Created attachment 856483 [details]
File: dso_list

Comment 5 Sergio 2014-01-28 11:01:55 UTC
Created attachment 856484 [details]
File: environ

Comment 6 Sergio 2014-01-28 11:01:58 UTC
Created attachment 856485 [details]
File: exploitable

Comment 7 Sergio 2014-01-28 11:02:01 UTC
Created attachment 856486 [details]
File: limits

Comment 8 Sergio 2014-01-28 11:02:04 UTC
Created attachment 856487 [details]
File: maps

Comment 9 Sergio 2014-01-28 11:02:07 UTC
Created attachment 856488 [details]
File: open_fds

Comment 10 Sergio 2014-01-28 11:02:11 UTC
Created attachment 856489 [details]
File: proc_pid_status

Comment 11 Sergio 2014-01-28 11:02:13 UTC
Created attachment 856490 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:42:46 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:49:09 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.